import { BlockAnnotation, BlockAnnotationTypeEnum } from './block-annotation.abstract';
import { AnnotationStyle } from '../../interface';
import { Nullable } from '../../../../types/general';
/**
 * Internal wrapper annotation for block node.
 */
export declare class InternalWrapperAnnotation extends BlockAnnotation {
  readonly type: BlockAnnotationTypeEnum.INTERNAL_WRAPPER;
  internalWrapper: boolean;
  constructor(internalWrapper: boolean);
  /**
   * @inheritDoc
   */
  static from(internalWrapper: boolean): [BlockAnnotationTypeEnum.INTERNAL_WRAPPER, InternalWrapperAnnotation];
  /**
   * @inheritDoc
   */
  clone(): BlockAnnotation;
  /**
   * @inheritDoc
   */
  renderClass(): Nullable<string>;
  /**
   * @inheritDoc
   */
  renderStyle(): Nullable<AnnotationStyle>;
  /**
   * @inheritDoc
   */
  toJSON(): Nullable<Record<string, unknown>>;
}
